Package com.massivecraft.factions.util

## Class LocationTypeAdapter

- java.lang.Object
- - com.massivecraft.factions.util.LocationTypeAdapter

All Implemented Interfaces:
  `com.google.gson.JsonDeserializer<org.bukkit.Location>`, `com.google.gson.JsonSerializer<org.bukkit.Location>`

    public class LocationTypeAdapter
    extends java.lang.Object
    implements com.google.gson.JsonSerializer<org.bukkit.Location>, com.google.gson.JsonDeserializer<org.bukkit.Location>

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`LocationTypeAdapter()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.bukkit.Location` | `deserialize​(com.google.gson.JsonElement jsonElement, java.lang.reflect.Type type, com.google.gson.JsonDeserializationContext jsonDeserializationContext)` |
`com.google.gson.JsonElement` | `serialize​(org.bukkit.Location location, java.lang.reflect.Type type, com.google.gson.JsonSerializationContext jsonSerializationContext)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocationTypeAdapter

    public LocationTypeAdapter()

### Method Detail

#### serialize

    public com.google.gson.JsonElement serialize​(org.bukkit.Location location,
                                                 java.lang.reflect.Type type,
                                                 com.google.gson.JsonSerializationContext jsonSerializationContext)

Specified by:
  `serialize` in interface `com.google.gson.JsonSerializer<org.bukkit.Location>`

#### deserialize

    public org.bukkit.Location deserialize​(com.google.gson.JsonElement jsonElement,
                                           java.lang.reflect.Type type,
                                           com.google.gson.JsonDeserializationContext jsonDeserializationContext)

Specified by:
  `deserialize` in interface `com.google.gson.JsonDeserializer<org.bukkit.Location>`